%define module		Log-TraceMessages
%define m_distro	Log-TraceMessages
%define m_name		Log::TraceMessages
%define m_author_id	EDAVIS
Name: perl-%module
Version: 1.4
Release: alt1

Summary: Log::TraceMessages Perl Module
Group: Development/Perl
License: GPL/Artistic

Url: http://search.cpan.org/dist/%m_distro/
Source: %m_distro-%version.tar.bz2

BuildArch: noarch

# Automatically added by buildreq on Sun Feb 27 2005
BuildRequires: perl-Email-Find perl-Exporter-Lite perl-HTML-FromText perl-HTML-Parser perl-devel

%description
Log::TraceMessages

This module is a better way of putting 'hello there' trace messages in
your code.  It lets you turn tracing on and off without commenting out
trace statements, and provides other useful things like HTML-ified
trace messages for CGI scripts and an easy way to trace out data
structures using Data::Dumper.

From the pod documentation:

  use Log::TraceMessages qw(t d);
    $Log::TraceMessages::On = 1;
    t 'got to here';
    t 'value of $a is ' . d($a);
    {
        local $Log::TraceMessages::On = 0;
        t 'this message will not be printed';
    }

    # For a CGI program producing HTML
    $Log::TraceMessages::CGI = 1;

    # Or to turn on trace if there's a command-line argument '--trace'
    Log::TraceMessages::check_argv();

This is free software and you may distribute it under the same terms
as perl itself.  There is no warranty.

Authors:
--------
    Ed Avis <ed@membled.com>

%prep
%setup -q -n %m_distro-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/*
%perl_vendor_man3dir/*
%doc README Changes

%changelog
* Sun Feb 27 2005 Vitaly Lipatov <lav@altlinux.ru> 1.4-alt1
- first build for ALTLinux Sisyphus
